mpc123(1)

NAME
mpc123 - your handy Musepack audio player

SYNOPSIS
mpc123 [options] file(s)

DESCRIPTION
mpc123 is a command-line player for the Musepack audio compression format. mpc123 reads mpc audio files and decodes them to the devices specified on the command line.

During playback, you can pass to the next playlist element (or a random one if one of the -z and -Z options were used, see below) by sending SIGINT to the process, thus usually pressing ^C will act as a "next-button" for the player.

OPTIONS

--gain N, -g N
    Set gain (audio volume) to N (0-100 inclusive, default 100, 0 mutes sound)

-o driver
    Set output devicetype to driver; possible drivers include:

oss Linux Open Sound System

alsa
    Advanced Linux Sound Architecture

alsa09
    ALSA version 0.9 and newer (you should really be using this)

esd Enlightenment sound daemon

arts
    Analog Real Time System (kde sound daemon)

null
    Debugging output target

--audiodevice dev, -a dev
    Use dev for audio-out; If not specified, the program tries to pick some sane defaults, based on the used audio output driver. Common devices include:

/dev/dsp or /dev/dsp1
    for oss output

default or hw:0
    for alsa09 output

--au filename.au, -u filename.au
    Use au file filename.au for output

--cdr filename.cdr, -c filename.cdr
    Use raw file filename.cdr for output (this can be used directly with cdrecord's -audio option)

--wav filename.wav, -w filename.wav
    Use wave file filename.wav for output

--list file, -@ file
    Use playlist file as list of Musepack files; The playlist format is simple: one file per line. You can easily generate a playlist for mpc123 with the find(1) command:

find /path/to/musicroot -iname \\*.mpc -fprint file

--random, -Z
    Play files randomly until interrupted

--shuffle, -z
    Shuffle list of files before playing

--verbose, -v
    Increase verbosity (default verbosity is 0), the more -v, the more verbose mpc123 becomes

--quiet, -q
    Reset verbosity to 0 (no title or boilerplate); this is the default

--help, -h
    Print the help screen, with some brief usage information

AUTHOR
This manual page was written by Daniele Sempione <scrows at oziosi.org>; Fernando Vezzosi <fvezzosi at masobit.net> made some edits